#include <ST7032_asukiaaa.h>
ST7032_asukiaaa lcd; 
float a = 0.83; 
float b = 0.92;

float a0 = 0.62;
float a1 = 0.48;
float a2 = 0.38;
int N = 100;
int n[] = {10, 50, 90};

void setup() {
  Serial.begin(9600);

  for (int i=0; i < 3; i++) {
    float w_n = a0 - a1 * abs(n[i]/(N - 1) - 0.5) - a2 * cos((2*PI*n[i]) / (N - 1)); 
    Serial.println(w_n);
  }
 

}

void loop() {
  
}
